/* Utilities */

.link {
    color: #116262;
    font-weight: bold;
}

h4 {
    color: #116262;
    font-size: 22px;
    margin-bottom: 16px;
}

h4:first-child {
    border-top: none;
    padding-top: initial;
}

.title-bordered {
    border-top: solid 2px #bbb;
    padding-top: 30px;
}

p {
    color: #555;
    margin: 0 0 25px;
}

.no-border {
    border: none;
}

.static {
    position: static;
}

.bold {
    font-weight: bold;
}

.border-top {
    border-top: solid 1px #ccc;
    padding-top: 30px;
}

.blue-grey-900 {
    background-color: #263238 !important;
    color: #fff;
}
/* Menu */

.menu .bar.bar-header.expanded {
    background-image: url('../img/material-graphite.jpg');
    background-size: 120%;
    background-position: 0%;
    transition: all .5s ease-in-out;
}

.menu.menu-left * {
    font-weight: bold;
}

.item-radio input:checked ~ .item-content {
    background: transparent;
}

.menu-open .ion-navicon {
    transform: rotate(-360deg);
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.menu-open .ion-navicon:before {
    content: "\f2ca";
}

.item.item-radio .radio-icon {
    opacity: 1;
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.item.item-radio:active .radio-icon {
    opacity: 0;
    transform: scale(1.6);
    -webkit-transition: all 0.1s ease-in-out;
    transition: all 0.1s ease-in-out;
}

.directions.button-bar {
    margin: 0 auto;
    width: 33.333%;
}

.directions.button-bar button {
    line-height: 26px;
}

.ion-arrow-right-c.top-left:before {
    transform: rotate(-135deg);
}

.ion-arrow-right-c.top-right:before {
    transform: rotate(-45deg);
}

.ion-arrow-right-c.bottom-left:before {
    transform: rotate(-225deg);
}

.ion-arrow-right-c.bottom-right:before {
    transform: rotate(45deg);
}

#modal {
    background-color: #ef4e3a;
    border-radius: 100%;
    box-shadow: 0 -6px 12px rgba(0, 0, 0, 0.2);
    position: fixed;
    height: 50%;
    bottom: 0;
    opacity: 0;
    width: 700px;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.expand #modal {
    background-color: #DBDBDB;
    border-radius: 0;
    border-top: solid 4px #ef4e3a;
    opacity: 1;
    z-index: 9;
}
/* CODE */

.code {
    color: #333;
    font-family: monospace;
    padding: 10px;
    white-space: pre;
}

.code-wrapper {
    padding-bottom: 30px;
    padding-top: 15px;
}

.code-wrapper::before {
    color: #1B5E20;
    font-family: "Ionicons";
    speak: none;
    font-size: 18px;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    text-rendering: auto;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    content: '\f216 ';
}

.code-wrapper.active::before {
    content: '\f207 ';
}

.code-wrapper .toggle {
    color: #4CAF50;
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    font-weight: bold;
    padding: 10px 8px;
    text-decoration: underline;
}

.code-wrapper .code {
    opacity: 0;
    margin-top: -20px;
    height: 0;
    overflow: hidden;
    position: absolute;
    transition: 0.1s all ease-in-out;
    z-index: 9999999999;
}

.code-wrapper.code-wrapper-last .code {
    position: relative;
}

.code-wrapper.active .code {
    background: #f9f9f9;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.5);
    left: 16px;
    height: initial;
    margin-top: 15px;
    padding: 15px;
    right: 16px;
    opacity: 1;
    transition: 0.3s all ease-in-out;
    width: initial;
}

/*.popover {
    left: initial !important;
    right: 16px !important;
    top: 16px !important;
}*/
/* Login template */
.ionic.login {
    background-position: 25% 25%;
    background-size: 180% 180%;
    height: 100%;
    -moz-transition: all 1.5s ease-in-out;
    -o-transition: all 1.5s ease-in-out;
    -webkit-transition: all 1.5s ease-in-out;
    transition: all 1.5s ease-in-out;
}
/*.ionic.login .item {
    margin: 0 12px;
    padding-left: 0;
    padding-right: 0;
    width: initial;
}
.ionic.login .button-bar {
    bottom: 0;
    margin: 28px 12px 0;
    width: initial;
}*/
.ionic.login .light-bg {
    background-color: #fff;
}
/*.ionic .icon.hero-icon:before {
    line-height: 130px;
}
.login.animate-pan-in-left {
    background-position: 0% 0%;
}
*/
/*menu*/
.bar-footer .logout-btn {
  width: 100%;
  max-width: 100%;
}

/* css for transparent/semitransparent header */
.bar.bar-light {
  /*background-color: rgba(255,255,255,.66) !important;*/
}
.side-menu .list .item{
  border: 1px solid #E6E6E6;
}

/*messages*/
/*.scroll {
  padding: 10px 0 50px !important;
}*/

.messages {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-align-content: center;
  -ms-flex-line-pack: center;
  align-content: center;
  -webkit-box-align: center;
  -moz-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  margin-bottom: 20px;
}
.messages .message {
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -webkit-flex: 1 1 auto;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  padding: 10px;
  -webkit-transition: all 250ms ease-in-out;
  transition: all 250ms ease-in-out;
  overflow: hidden;
  text-align: left;
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.time {
  -webkit-box-flex: 0;
  -moz-box-flex: 0;
  -webkit-flex: 0 1 auto;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
  -webkit-align-self: auto;
  -ms-flex-item-align: auto;
  align-self: auto;
  width: 120px;
  text-align: center;
  padding: 0 0 0 0;
  -webkit-transition: all 250ms ease-in-out;
  transition: all 250ms ease-in-out;
  -webkit-transform: translate3d(10px, 0, 0);
  -moz-transform: translate3d(10px, 0, 0);
  transform: translate3d(10px, 0, 0);
}
.time.slide-right {
  -webkit-transform: translate3d(130px, 0, 0);
  -moz-transform: translate3d(130px, 0, 0);
  transform: translate3d(130px, 0, 0);
}

.messages.other .message {
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  text-align: right;
}
.messages.other .message.slide-right {
  -webkit-transform: translate3d(120px, 0, 0);
  -moz-transform: translate3d(120px, 0, 0);
  transform: translate3d(120px, 0, 0);
}
.messages.other span {
  color: black;
  background-color: #C7C7CC;
}

.message span {
  background: #007AFF;
  display: inline-block;
  color: white;
  padding: 10px;
  border-radius: 10px;
  text-align: left;
  max-width: 240px;
}

